Check-in [d9990833ed]
Overview
Comment:Added DBUS-Tcl Updated build_all to allow only building some Updated build_all to build Tcl 8.5 by default Updated the "dict" package to not attempt to build if not using Tcl 8.4
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:d9990833edd8d9a432cce28141d012fcb6d684d0
User & Date: rkeene on 2011-03-30 16:07:17
Other Links: manifest | tags
Context
2011-03-30
16:09
Updated ignores check-in: cd241ef70c user: rkeene tags: trunk
16:07
Added DBUS-Tcl Updated build_all to allow only building some Updated build_all to build Tcl 8.5 by default Updated the "dict" package to not attempt to build if not using Tcl 8.4 check-in: d9990833ed user: rkeene tags: trunk
2010-10-17
14:46
Upgrade SQLite3 to 3.7.2 check-in: b86591f6fa user: rkeene tags: trunk
Changes

Modified server/buildpkgs/build_all.sh from [839f9aa1bd] to [d97895eb69].

    26     26   rm -rf tcl/build tcl/inst
    27     27   rm -f platform.magic.*
    28     28   if [ "${DISTCLEAN}" = "1" ]; then
    29     29   	rm -rf tcl
    30     30   fi
    31     31   
    32     32   if [ "${CLEANONLY}" = "0" ]; then
    33         -	TCLVERS="8.4.19"
           33  +	TCLVERS="8.5.9"
    34     34   	TCLPRIVATE="$(pwd)/tcl/build/tcl${TCLVERS}"
    35     35   	PROJROOTDIR="$(pwd)"
    36     36   	TCLINSTDIR="$(pwd)/tcl/inst"
    37     37   	export TCLVERS TCLPRIVATE PROJROOTDIR TCLINSTDIR
    38     38   
    39     39   	mkdir tcl tcl/build >/dev/null 2>/dev/null
    40     40   
................................................................................
   132    132   	export PLATFORM
   133    133   else
   134    134   	PLATFORM="${FORCE_PLATFORM}"
   135    135   fi
   136    136   
   137    137   # Build all appropriate directories
   138    138   faileddirs=""
   139         -for dir in */; do
          139  +if [ -z "${DIRS}" ]; then
          140  +	DIRS="`echo */`"
          141  +	PKGHASHCODE=''
          142  +else
          143  +	PKGHASHCODE="$(echo "${DIRS}" | sed 's@[/ ]@@g' | openssl sha1 | awk '{ print $1 }')"
          144  +fi
          145  +for dir in ${DIRS}; do
   140    146   	export dir
   141    147   
   142    148   	if [ ! -f "${dir}/build.sh" ]; then
   143    149   		continue
   144    150   	fi
   145    151   
   146    152   	if [ "${CLEANONLY}" = "0" ]; then
................................................................................
   182    188   # Let the user know what failed to build
   183    189   if [ -n "${faileddirs}" ]; then
   184    190   	echo "The following failed to build:${faileddirs}"
   185    191   fi
   186    192   
   187    193   # Create tarfile of built packages
   188    194   DATECODE="$(date +%Y%m%d%H%M)"
   189         -OUTFILEBASE="tclpkgs-${PLATFORM}-${DATECODE}"
          195  +
          196  +if [ -z "${PKGHASHCODE}" ]; then
          197  +	OUTFILEBASE="tclpkgs-${PLATFORM}-${DATECODE}"
          198  +else
          199  +	OUTFILEBASE="tclpkgs-${PKGHASHCODE}-${PLATFORM}-${DATECODE}"
          200  +fi
   190    201   tar -cf - */out | bzip2 -9c > "${OUTFILEBASE}.tar.bz2"
   191    202   
   192    203   exit 0

Added server/buildpkgs/dbus-tcl/build.sh version [c0964a4cb2].

            1  +#! /bin/bash
            2  +
            3  +if [ ! -x "../platform" ]; then
            4  +	echo "No platform script found, aborting." >&2
            5  +
            6  +	exit 1
            7  +fi
            8  +
            9  +if [ "${PLATFORM}" = "tcl" ]; then
           10  +	rm -rf out
           11  +
           12  +	exit 0
           13  +fi
           14  +
           15  +VERS=1.0
           16  +SRC="src/dbus-tcl-${VERS}.tar.gz"
           17  +SRCURL="http://sourceforge.net/projects/dbus-tcl/files/dbus-tcl/${VERS}/dbus-tcl${VERS}.tar.gz/download"
           18  +BUILDDIR="dbus-tcl${VERS}"
           19  +WORKDIR="${TMPDIR:-/tmp}/dbus-tcl-$$${RANDOM}${RANDOM}${RANDOM}"
           20  +PLATDIR="$(pwd)/out/${PLATFORM}"
           21  +
           22  +export VERS SRC SRCURL BUILDDIR WORKDIR PLATDIR
           23  +
           24  +if [ ! -f "${SRC}" ]; then
           25  +	mkdir src >/dev/null 2>/dev/null
           26  +
           27  +	wget -O "${SRC}" "${SRCURL}" || exit 1
           28  +fi
           29  +
           30  +(
           31  +	rm -rf build
           32  +	mkdir -p "${PLATDIR}" >/dev/null 2>/dev/null
           33  +	mkdir build
           34  +
           35  +	cd build/ || exit 1
           36  +
           37  +	gzip -dc "../${SRC}" | tar -xf -
           38  +	cd "${BUILDDIR}" || exit 1
           39  +
           40  +	bash ./configure --enable-shared --with-tcl="${TCLCONFIGDIR}" --prefix="${PLATDIR}" --libdir="${PLATDIR}" --bindir="${PLATDIR}" ${CONFIGUREEXTRA}
           41  +
           42  +	${MAKE:-make} || exit 1
           43  +
           44  +	${MAKE:-make} install-binaries PKG_DIR='' || exit 1
           45  +
           46  +	rm -f "${PLATDIR}"/*.a
           47  +) || exit 1
           48  +
           49  +../create_teapot "${PLATDIR}/teapot.txt" "dbus-tcl" "${VERS}" "${SRCURL}" "${PLATFORM}" "Tcl 8.5" "The DBus-Tcl project provides a Tcl interface to the dbus message bus system. It contains packages that allow Tcl programs to send and receive dbus signals, as well as invoke and respond to dbus method calls.  http://dbus-tcl.sourceforge.net/"
           50  +
           51  +exit 0

Modified server/buildpkgs/dict/build.sh from [06accdf118] to [ee8fedb377].

     5      5   
     6      6   	exit 1
     7      7   fi
     8      8   
     9      9   if [ "${PLATFORM}" = "tcl" ]; then
    10     10   	rm -rf out
    11     11   
           12  +	exit 0
           13  +fi
           14  +
           15  +# We only do anything on Tcl 8.4.x
           16  +if echo "${TCLVERS}" | grep '^8\.4\.'; then
           17  +	true
           18  +else
           19  +	rm -rf out
           20  +
    12     21   	exit 0
    13     22   fi
    14     23   
    15     24   VERS=8.5.2
    16     25   SRC="src/tclDict-${VERS}.tar.gz"
    17     26   SRCURL="http://pascal.scheffers.net/software/tclDict-${VERS}.tar.gz"
    18     27   BUILDDIR="tclDict-${VERS}"